## GtefTab GtefTab — Contains a GtefView with GtkInfoBars on top |

## Functions

GtefTab * | gtef_tab_new ()
void | gtef_tab_add_info_bar ()

## Types and Values

| GtefTab

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── GtefTab

## Implemented Interfaces

GtefTab implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtef/gtef.h>

## Description

## Functions

### gtef_tab_new ()

    GtefTab *
    gtef_tab_new (GtkWidget *main_widget);

#### Parameters

main_widget | the main GtkWidget that will be contained in the GtefTab. |

#### Returns

a new GtefTab.

Since: 1.0

### gtef_tab_add_info_bar ()

    void
    gtef_tab_add_info_bar (GtefTab *tab,
                           GtkInfoBar *info_bar);

Attaches `info_bar` to `tab` , above the main widget.

If several info bars are added, the first one will be at the top, the second one below the first info bar, etc. With the main widget of `tab` at the bottom.

#### Parameters

tab | a GtefTab. |
info_bar | a GtkInfoBar. |

Since: 1.0

## Types and Values

### GtefTab

    typedef struct _GtefTab GtefTab;